## ros-foxy-moveit-fake-controller-manager 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_fake_controller_manager)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(moveit_core REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

add_library(${PROJECT_NAME} SHARED
  src/moveit_fake_controller_manager.cpp
  src/moveit_fake_controllers.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${PROJECT_NAME}
  Boost
  moveit_core
  moveit_ros_planning
  pluginlib
  rclcpp
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(
  Boost
  moveit_core
  moveit_ros_planning
  pluginlib
  rclcpp
)

pluginlib_export_plugin_description_file(moveit_core moveit_fake_controller_manager_plugin_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-foxy-moveit-fake-controller-manager (2.1.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 21 May 2021 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (2.1.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 19 Apr 2021 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (2.1.1-1focal) focal; urgency=high

  * Enable ament_lint tests (#340 <https://github.com/ros-planning/moveit2/issues/340>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Sun, 11 Apr 2021 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (2.1.0-1focal) focal; urgency=high

  * [improvement] Enable MoveIt fake controller in demo (#231 <https://github.com/ros-planning/moveit2/issues/231>)
    * Fix inital group_state lookup
  * [maint] Remove deprecated namespaces robot_model, robot_state  (#276 <https://github.com/ros-planning/moveit2/issues/276>)
  * [maint] Enable clang-tidy-fix and ament_lint_cmake (#210 <https://github.com/ros-planning/moveit2/issues/210>)
  * [ros2-migration] Port moveit_fake_controller_manager to ROS2 (#202 <https://github.com/ros-planning/moveit2/issues/202>)
  * [ros2-migration] Port moveit_simple_controller_manager to ROS 2 (#158 <https://github.com/ros-planning/moveit2/issues/158>)
  * Contributors: Abdullah Alzaidy, Edwin Fan, Henning Kayser, Jafar Abdi

 -- Michael Görner <me@v4hn.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.1.1-1focal) focal; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Mon, 12 Oct 2020 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.1.0-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 03 Sep 2020 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.0.6-1focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Tue, 18 Aug 2020 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.0.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 07 Jul 2020 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.0.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 29 May 2020 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.0.3-1focal) focal; urgency=high

  * [fix]   Handle "default" parameter in MoveitControllerManagers
    MoveIt{Fake|Simple}ControllerManager::getControllerState() now correctly returns current state
  * [fix]   Handle incomplete group states
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan, Luca Lach

 -- Michael Görner <me@v4hn.de>  Sat, 25 Apr 2020 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.0.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.0.1-1focal) focal; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Thu, 07 Mar 2019 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 23 Feb 2019 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (0.10.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 Dec 2018 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (0.10.7-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Dec 2018 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (0.10.6-1focal) focal; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 08 Dec 2018 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (0.10.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 31 Oct 2018 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (0.10.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (0.10.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-foxy-moveit-fake-controller-manager (0.10.2-1focal) focal; urgency=high

  * [fix] latch initial pose published by fake_controller_manager (#1092 <https://github.com/ros-planning/moveit/issues/1092>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Mikael Arguedas, Mike Lautman, Mohmmad Ayman, mike lautman

 -- Michael Görner <me@v4hn.de>  Tue, 23 Oct 2018 22:00:00 -0000

ros-foxy-moveit-fake-controller-manager (0.10.1-1focal) focal; urgency=high

  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Mikael Arguedas, Xiaojian Ma

 -- Michael Görner <me@v4hn.de>  Thu, 24 May 2018 22:00:00 -0000



=== debian/control ===
Source: ros-foxy-moveit-fake-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-moveit-core, ros-foxy-moveit-ros-planning, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-fake-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-moveit-core, ros-foxy-moveit-ros-planning, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: A fake controller manager plugin for MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-moveit-fake-controller-manager//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
